Package com.xebialabs.xlrelease.domain.events

## Class FolderMovingAction$

- java.lang.Object
- - scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>
  - - com.xebialabs.xlrelease.domain.events.FolderMovingAction$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>`

      public class FolderMovingAction$
      extends scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FolderMovingAction$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderMovingAction$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FolderMovingAction` | `apply​(java.lang.String folderId, java.lang.String oldParentId, java.lang.String newParentId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>>` | `unapply​(FolderMovingAction x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final FolderMovingAction$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### FolderMovingAction$

          public FolderMovingAction$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>`

    - #### apply

          public FolderMovingAction apply​(java.lang.String folderId,
                                          java.lang.String oldParentId,
                                          java.lang.String newParentId)

      Specified by:
        `apply` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​FolderMovingAction>`

    - #### unapply

          public scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>> unapply​(FolderMovingAction x$0)